Skip to main content
PUT
Update Tier

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

tierId
integer
required

The tier ID.

Body

application/json
name
string
required

Must not be greater than 100 characters.

Example:

"tjqotbhpzwonwlzospqcs"

discount_percentage
number
required

Must be at least 0. Must not be greater than 100.

Example:

19

is_public
boolean
required
Example:

false

sort_order
integer | null

Must be at least 0. Must not be greater than 1000.

Example:

22

min_spent_usd
number | null

Must be at least 0. Must not be greater than 99999999.

Example:

5

min_sales_count
integer | null

Must be at least 0. Must not be greater than 100000000.

Example:

24

image_id
string | null

Must match an existing stored value.

Example:

null

Response

200